### Name: as.weight
### Title: Calibration Weights
### Aliases: as.weight
### Keywords: misc

### ** Examples

# Create a set of 40 (default) theta values and weights using quadrature
wt <- as.weight()

# Create a set of 20 theta values and weights using quadrature
wt <- as.weight(20)

# Create a set of 40 quadrature points and weights using a uniform distribution
wt <- as.weight(dist="uniform")

# Create weights for a set of random normal theta values
wt <- as.weight(theta1=rnorm(100))

# Create an object with equal interval theta values and normal density weights
wt <- as.weight(theta1=seq(-4,4,0.05), normal.wt=TRUE)




